Sorry, you need to enable JavaScript to visit this website.

Severe flicker at 2560x1440

1 post / 0 new
Mark E's picture
Starter
Mark E

Aug 22, 2014 - 06:32pm

  • Updated Kubuntu 14.04 to kernel 3.13.0-34-generic, downloaded the latest Intel drivers today from 01.org, which are v1.0.6.  System has the CPU "Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller"

    I boot the system, the i915 driver takes over the control of the integrated graphics Ok, but if I change to a resolution of 1920x1080 @ 60hz, the screen is mostly Ok, sometimes a very noticable flicker as it redraws;  and if I change to 2560x1440 @ 60hz then bottom of the screen flickers non-stop as it redraws. By "bottom" I mean I'm using Kubuntu and it puts the menu bar at the bottom of the screen similar to how the menu bar looks on a Windows platform. That entire menu bar flickers non-stop making 2560x1440 totally unusable.

    "xrandx" shows VGA1 disconnect, HDMI2 connected. Note that this system does not use an external monitor, this is a Dell XPS 2720 all-in-one PC, it also contains an nVidia GT750M card, but no drivers load for that, the only video driver loading is i915 - so I tend to doubt this has anything to do with the nVidia card.

    If I boot with the former 3.13.0-32-generic kernel I can use 2560x1440 @ 60hz with no flicker.

    Any ideas why 3.13.0-34-generic doesn't work but 3.13.0-32-generic does?

     

     

     

    Aug 22, 2014 - 06:32pm
  • Hi - I can think of nothing immediately obvious: The following would be of interest though:

    ‘modinfo i915’ for the working kernel (-32-generic)
    ‘modinfo i915’ for the working kernel (-34-generic)

    dmesg output from each kernel immediately after taking the steps that cause problems on -34.

    The modinfo output should indicate that the i915 driver is loaded from a …/dkms/ path - if it's
    coming from a path without /dkms/ in it, then you're getting the vanilla i915 driver that shipped with
    that kernel. If you're seeing a dkms driver on one kernel but not the other, that's a pretty good
    starting point for our investigation/ If you see it in neither, it means you're not getting the installer's
    updated module at all.

    Aug 25, 2014 - 10:53am